forge.chapril.org - Demande #4846

Configurer la banniére Chapril
10/31/2020 11:29 PM - Christian P. Momon

Status: Fermé Start date: 10/31/2020
Priority: Normale Due date:

Assignee: Pierre-Louis Bonicoli % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Backlog

Description

Une fois le service installé, configurer I'affichage de la banniére Chapril.
La question peut se poser de la pertinence d'afficher la banniére.

History

#1 - 11/11/2020 04:11 PM - Christian P. Momon

- Status changed from Nouveau to En cours de traitement

Vérifions I'insertion de la banniére par la configuration nginx bastion :

cpm@ocmstar (16:05:59) ~ 1 > curl https://forge.chapril.org/
<!DOCTYPE html>
<html lang="en-US" class="theme-">
<head data-suburl="">
[..]
<link rel="stylesheet" type="text/css" href="/Chapril-banner/vl/chapril-banner.css" />
</head>
<body>
(o]
<!-- CHAPRIL BANNER —-->
<header id="chapril-banner">
<div id="chapril-banner-zone">
<div id="chapril-banner-logo">
<a href="https://www.chapril.org/"><img src="/Chapril-banner/vl/chapril-logo-small.png" alt="Logo Chapri
" /></a>
</div>
<div id="chapril-banner-menu">
<ul>
<li><a href="https://www.chapril.org/">Accueil Chapril</a></1li>
<li><a href="https://www.chapril.org/services.html">Services libres</a></1li>
<li><a href="https://pouet.april.org/@aprilorg">Nous suivre</a></1li>
<li><a href="https://www.chapril.org/cgu.html">CGU</a></11i>
<li><a href="https://www.chapril.org/a-propos.html">Mentions légales</a></li>
<li><a href="https://www.chapril.org/contact.html">Nous contacter</a></1i>
</ul>
</div>
<div id="chapril-banner-aprillogo">
<a href="https://www.april.org/"><img src="/Chapril-banner/vl/april-logo-small.png" alt="Logo April" /><
/a>
</div>
</div>
</header>
</body>
</html>

Donc la configuration Nginx bastion fonctionne bien.
Par contre, lorsqu'on fait un Ctrl-U dans le navigateur, plus aucune trace du code insérer.

On peut en conclure que le code de Gita regéneére toute la page en Javascript et donc est incompatible avec l'insertion Nginx.
#2 - 10/05/2021 01:25 PM - Pierre-Louis Bonicoli
- Status changed from En cours de traitement to Résolu
- Assignee changed from Christian P. Momon to Pierre-Louis Bonicoli

- % Done changed from 0 to 100

J'ai ajoutée la banniére en suivant la documentation pointée dans le wiki du service forge.chapril.org.

#3 - 10/06/2021 10:16 PM - Quentin Gibeaux

- Status changed from Résolu to Fermé

#4 - 01/01/2022 01:53 PM - Pierre-Louis Bonicoli

- Related to Anomalie #5733: rendre la banniére chapril "responsive" added

#5 - 01/13/2022 04:14 PM - Frédéric Couchet

- Related to deleted (Anomalie #5733: rendre la banniére chapril "responsive”)
https://forge.april.org/Chapril/forge.chapril.org-custom/commit/f1cb3d5d55e701d744fc281d9f8aa32c88b03a54
https://admin.chapril.org/doku.php?id=admin:services:forge.chapril.org#personnalisation
